--- old/usr/src/Makefile.master	2018-01-25 19:54:33.906953651 +0000
+++ new/usr/src/Makefile.master	2018-01-25 19:54:33.936645102 +0000
@@ -134,9 +134,16 @@
 MBH_PATCH=	$(ONBLD_TOOLS)/bin/$(MACH)/mbh_patch
 BTXLD=		$(ONBLD_TOOLS)/bin/$(MACH)/btxld
 VTFONTCVT=	$(ONBLD_TOOLS)/bin/$(MACH)/vtfontcvt
+# echo(1) and true(1) are specified without absolute paths, so that the shell
+# spawned by make(1) may use the built-in versions.  This is minimally
+# problematic, as the shell spawned by make(1) is known and under control, the
+# only risk being if the shell falls back to $PATH.
+#
+# We specifically want an echo(1) that does interpolation of escape sequences,
+# which ksh93, /bin/sh, and bash will all provide.
 ECHO=		echo
-INS=		install
 TRUE=		true
+INS=		$(ONBLD_TOOLS)/bin/$(MACH)/install
 SYMLINK=	/usr/bin/ln -s
 LN=		/usr/bin/ln
 CHMOD=		/usr/bin/chmod
--- old/usr/src/pkg/manifests/developer-build-onbld.mf	2018-01-25 19:54:34.922754563 +0000
+++ new/usr/src/pkg/manifests/developer-build-onbld.mf	2018-01-25 19:54:34.951757018 +0000
@@ -47,7 +47,6 @@
 dir path=opt/onbld/env
 dir path=opt/onbld/etc
 dir path=opt/onbld/etc/exception_lists
-dir path=opt/onbld/gk
 dir path=opt/onbld/lib
 dir path=opt/onbld/lib/$(ARCH)
 dir path=opt/onbld/lib/$(ARCH)/64
@@ -82,7 +81,6 @@
 $(i386_ONLY)file path=opt/onbld/bin/$(ARCH)/mbh_patch mode=0555
 file path=opt/onbld/bin/$(ARCH)/ndrgen mode=0555
 file path=opt/onbld/bin/$(ARCH)/ndrgen1 mode=0555
-file path=opt/onbld/bin/$(ARCH)/pmodes mode=0555
 file path=opt/onbld/bin/$(ARCH)/protocmp mode=0555
 file path=opt/onbld/bin/$(ARCH)/protolist mode=0555
 $(sparc_ONLY)file path=opt/onbld/bin/$(ARCH)/stabs mode=0555
@@ -97,7 +95,6 @@
 file path=opt/onbld/bin/cddlchk mode=0555
 file path=opt/onbld/bin/check_rtime mode=0555
 file path=opt/onbld/bin/checkpaths mode=0555
-file path=opt/onbld/bin/checkproto mode=0555
 file path=opt/onbld/bin/copyrightchk mode=0555
 file path=opt/onbld/bin/cstyle mode=0555
 file path=opt/onbld/bin/elfcmp mode=0555
@@ -105,7 +102,6 @@
 file path=opt/onbld/bin/findcrypto mode=0555
 file path=opt/onbld/bin/flg.flp mode=0555
 file path=opt/onbld/bin/genoffsets mode=0555
-file path=opt/onbld/bin/get_depend_info mode=0555
 file path=opt/onbld/bin/git-pbchk mode=0555
 file path=opt/onbld/bin/hdrchk mode=0555
 file path=opt/onbld/bin/hg-active mode=0555
@@ -113,7 +109,6 @@
 file path=opt/onbld/bin/interface_check mode=0555
 file path=opt/onbld/bin/interface_cmp mode=0555
 file path=opt/onbld/bin/jstyle mode=0555
-file path=opt/onbld/bin/make_pkg_db mode=0555
 file path=opt/onbld/bin/mapfilechk mode=0555
 file path=opt/onbld/bin/nightly mode=0555
 file path=opt/onbld/bin/onu mode=0555
@@ -132,17 +127,12 @@
 file path=opt/onbld/bin/xref mode=0555
 file path=opt/onbld/bin/xref.mk
 file path=opt/onbld/env/illumos
-file path=opt/onbld/etc/SampleLinks
-file path=opt/onbld/etc/SamplePkgLinks
 file path=opt/onbld/etc/exception_lists/check_rtime
 file path=opt/onbld/etc/exception_lists/interface_check
 file path=opt/onbld/etc/exception_lists/interface_cmp
 file path=opt/onbld/etc/hgstyle
 file path=opt/onbld/etc/its.conf
 file path=opt/onbld/etc/its.reg
-file path=opt/onbld/gk/.cshrc
-file path=opt/onbld/gk/.login
-file path=opt/onbld/gk/gen_make.machines mode=0755
 file path=opt/onbld/lib/$(ARCH)/64/libmakestate.so.1
 file path=opt/onbld/lib/$(ARCH)/libdwarf.so.1
 file path=opt/onbld/lib/$(ARCH)/libmakestate.so.1
@@ -238,7 +228,6 @@
 file path=opt/onbld/man/man1onbld/find_elf.1onbld
 file path=opt/onbld/man/man1onbld/findunref.1onbld
 file path=opt/onbld/man/man1onbld/flg.flp.1onbld
-file path=opt/onbld/man/man1onbld/get_depend_info.1onbld
 file path=opt/onbld/man/man1onbld/git-pbchk.1onbld
 file path=opt/onbld/man/man1onbld/hdrchk.1onbld
 file path=opt/onbld/man/man1onbld/hgsetup.1onbld
@@ -246,7 +235,6 @@
 file path=opt/onbld/man/man1onbld/interface_cmp.1onbld
 file path=opt/onbld/man/man1onbld/jstyle.1onbld
 file path=opt/onbld/man/man1onbld/lintdump.1onbld
-file path=opt/onbld/man/man1onbld/make_pkg_db.1onbld
 file path=opt/onbld/man/man1onbld/mapfilechk.1onbld
 file path=opt/onbld/man/man1onbld/ndrgen.1onbld
 file path=opt/onbld/man/man1onbld/nightly.1onbld
--- old/usr/src/tools/Makefile	2018-01-25 19:54:35.782210929 +0000
+++ new/usr/src/tools/Makefile	2018-01-25 19:54:35.811592323 +0000
@@ -39,16 +39,13 @@
 	codesign \
 	cscope-fast \
 	ctf \
-	depcheck \
 	env \
 	findunref \
-	gk \
 	install.bin \
 	lintdump \
 	make \
 	ndrgen \
 	onbld \
-	pmodes \
 	protocmp \
 	protolist \
 	scripts
@@ -109,7 +106,6 @@
 	$(ROOTONBLD)/etc \
 	$(ROOTONBLD)/etc/exception_lists \
 	$(ROOTONBLD)/share \
-	$(ROOTONBLD)/gk \
 	$(ROOTONBLD)/man \
 	$(ROOTONBLD)/man/man1onbld
 
--- old/usr/src/tools/Makefile.tools	2018-01-25 19:54:36.614095290 +0000
+++ new/usr/src/tools/Makefile.tools	2018-01-25 19:54:36.643488782 +0000
@@ -40,7 +40,6 @@
 ROOTONBLDLIBPERL=	$(ROOTONBLD)/lib/perl
 ROOTONBLDLIBPY=		$(ROOTONBLD)/lib/python
 ROOTONBLDENV=		$(ROOTONBLD)/env
-ROOTONBLDGK=		$(ROOTONBLD)/gk
 ROOTONBLDMAN=		$(ROOTONBLD)/man
 ROOTONBLDMAN1ONBLD=	$(ROOTONBLD)/man/man1onbld
 ROOTONBLDETCABI=	$(ROOTONBLD)/etc/abi
@@ -61,8 +60,6 @@
 ROOTONBLDMACHBINARIES=	$(BINARIES:%=$(ROOTONBLDBINMACH)/%)
 ROOTONBLDETCFILES=	$(ETCFILES:%=$(ROOTONBLDETC)/%)
 ROOTONBLDENVFILES=	$(ENVFILES:%=$(ROOTONBLDENV)/%)
-ROOTONBLDGKFILES=	$(GKFILES:%=$(ROOTONBLDGK)/.%)
-ROOTONBLDGKSHFILES=	$(SHFILES:%=$(ROOTONBLDGK)/%)
 ROOTONBLDPERLFILES=	$(PERLFILES:%=$(ROOTONBLDBIN)/%)
 ROOTONBLDPERLMODULES=	$(PERLMODULES:%=$(ROOTONBLDLIBPERL)/%)
 ROOTONBLDPYFILES=	$(PYFILES:%=$(ROOTONBLDBIN)/%)
@@ -96,9 +93,3 @@
 
 $(ROOTONBLDENV)/%: %
 	$(INS.file)
-
-$(ROOTONBLDGK)/.%: %
-	$(INS.rename)
-
-$(ROOTONBLDGK)/%: %
-	$(INS.file)
--- old/usr/src/tools/README.tools	2018-01-25 19:54:37.441031959 +0000
+++ new/usr/src/tools/README.tools	2018-01-25 19:54:37.470465983 +0000
@@ -25,13 +25,7 @@
 This directory contains the tools used to do a full build of the
 OS/Net workspace.  They usually live in the /opt/onbld directory on build
 machines. From here, 'make install' will build and install the tools
-in $ROOT/opt/onbld. If you like, 'make pkg' will build the SUNWonbld
-package in $(PKGARCHIVE). Installing that package will populate the
-/opt/onbld directory, and create a root account for building called 'gk',
-which uses csh and has a home directory of /opt/onbld/gk. You can
-use this account to do full builds with 'nightly'. You don't have to,
-but the 'gk' account has the path setup properly, has a .make.machines
-file for dmake, and has a .login that sets up for dmake.
+in $ROOT/opt/onbld.
 
 Layout of /opt/onbld
 --------------------
@@ -40,9 +34,6 @@
 	contains Solaris ABI database (ABI_*.db) and exceptions
 	for ABI Auditing tool (interface_check, interface_cmp).
 
-/opt/onbld/gk
-	gk account's home directory.
-
 /opt/onbld/bin
 	basic bin directory - contains scripts.
 
@@ -101,11 +92,6 @@
 	entries, which help detect changes in software dependencies and makes
 	sure objects don't have any strange runpaths like /opt/SUNWspro/lib.
 
-checkproto
-	Runs protocmp and protolist on a workspace (or uses the environment
-	variable CODEMGR_WS to determine the workspace). Checks the proto area
-	against the packages.
-
 codereview
 	Given two filenames, creates a postscript file with the file 
 	differences highlighted.
@@ -142,14 +128,6 @@
 ctfmerge
 	Merge the CTF data from one or more object files.
 
-depcheck
-	A tool to try an assess the dependencies of executables.  This tool 
-	is not a definitive dependency check, but it does use "strings" and 
-	"ldd" to gather as much information as it can.  The dependency check
-	tool can handle filenames and pkgnames.  Before using the dependency
-	checker you must build a database which reflects the properties and
-	files in your system.
-
 elfcmp
 	Compares two ELF modules (e.g. .o files, executables) section by
 	section.  Useful for determining whether "trivial" changes -
@@ -226,10 +204,6 @@
 	env/developer and env/gatekeeper for sample, hopefully well-commented
 	env files.
 
-pmodes
-	enforces proper file ownership and permissions in pkgmap and package
-	prototype* files.  converts files if necessary
-
 protocmp
 	compares proto lists and the package definitions. Used by nightly
 	to determine if the proto area matches the packages, and to detect
@@ -279,8 +253,7 @@
    edit the file and tailor it to your workspace. Remember that this file
    is a shell script, so it can do more than set environment variables.
 
-2. Login as 'gk' (or root, but your PATH and .make.machines for dmake will
-   not be right). Run 'nightly' and give it your environment file as an
+2. Run 'nightly' and give it your environment file as an
    option. 'nightly' will first look for your environment file in
    /opt/onbld/env, and if it's not there then it will look for it as an
    absolute or relative path. Some people put their environment files in
--- old/usr/src/tools/scripts/Makefile	2018-01-25 19:54:43.993812049 +0000
+++ new/usr/src/tools/scripts/Makefile	2018-01-25 19:54:44.052085348 +0000
@@ -31,7 +31,6 @@
 	build_cscope \
 	bringovercheck \
 	checkpaths \
-	checkproto \
 	cstyle \
 	elfcmp \
 	flg.flp \
